package com.house365.ws.interfaces.server;

import com.house365.beans.entity.CloudCustomerEntity;
import com.house365.beans.entity.UserEntity;
import com.house365.ws.beans.request.MapListRequest;
import com.house365.ws.beans.response.MapListResponse;
import com.house365.ws.beans.util.HResult;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/3/26.
 */
public interface ICloudCustomerInterface {

    MapListResponse list(MapListRequest listRequest, int activeId);

    List<CloudCustomerEntity> queryByConditions(Map<String, Object> map);

    CloudCustomerEntity getById(int id);

    HResult judgeCustomer(int id);

    void updateById(int customerId, UserEntity userEntity);
}
